package com.apache.cxf.upload.download.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.apache.cxf.jaxrs.ext.multipart.Attachment;

@Path("/fileservice")
public interface IFileService {

	// http://localhost:8080/ApacheCXF-UP-DOWN-PDF-File/services/fileservice/download/pdf
	@GET
	@Path("/download/pdf")
	@Produces("application/pdf")
	public Response downloadPdfFile();

	// http://localhost:8080/ApacheCXF-UP-DOWN-PDF-File/services/fileservice/upload/pdf
	@POST
	@Path("/upload/pdf")
	@Consumes(MediaType.MULTIPART_FORM_DATA)
	public Response uploadPdfFile(List<Attachment> attachments, @Context HttpServletRequest request);
}